<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: ConfirmedContract.vue</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: ConfirmedContract.vue</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>&lt;template>
  &lt;div style="margin: 7rem 4rem" class="confirmedContract">
    &lt;header>
       &lt;ReturnButton style="z-index: 234232" :offsetArrow="20" :spanTitle="3" title="Regresar" v-on:clickEvent="returnPage('confirmado')"> &lt;/ReturnButton>
       &lt;!-- BOTON DE ADENDA SI ES CONTRATO ORIGINAL  -->
       &lt;el-row style="margin-top: 3rem" v-if="showContract.stateContrato === 'CONTRATO ORIGINAL'">
         &lt;el-col :span="3" :offset="20"> 
           &lt;el-button  @click="enterAddendum('adenda', showContract)" justify="end" type="primary" :disabled="stateContract === 'pendiente' || stateContract==='cancelado' || stateContract === 'prueba'">+ ADENDA&lt;/el-button>
          &lt;/el-col>
       &lt;/el-row>
       &lt;!-- BOTON DE ADENDA E HISTORIAL SI YA TIENE ADENDA  -->
       &lt;el-row style="margin-top: 3rem" v-else>
          &lt;el-col :span="3" :offset="16"> 
            &lt;el-button :disabled="stateContract === 'prueba' || stateContract === 'pendiente' || showContract.disableHistory == true"  @click="changeContract('historial', showContract.contractHistory )" justify="end"  icon="el-icon-time" type="primary" plain> HISTORIAL&lt;/el-button>
          &lt;/el-col>
         &lt;el-col :span="3" :offset="1"> 
            &lt;el-button :disabled="stateContract === 'prueba' || stateContract === 'pendiente'" @click="enterAddendum('adenda', showContract)" justify="end" type="primary" >+ ADENDA&lt;/el-button>
          &lt;/el-col>
       &lt;/el-row>
    &lt;/header>
    &lt;section>
      &lt;div style="margin: 2rem 4rem"  v-if="showContract.stateContrato === 'CONTRATO ORIGINAL'">
        &lt;el-row  type="flex" justify="end" style="margin: 1rem 0px 1.5rem 0px">
          &lt;!-- boton de editar BTN PENDIENTE -->
          &lt;el-col :span="4" v-if="stateContract == 'pendiente'" style="padding-left: 2.7rem">
            &lt;el-button   class="btnEditStyle" icon="el-icon-edit" @click="enterAddendum('pendiente', showContract)">&lt;strong>EDITAR&lt;/strong>&lt;/el-button>
          &lt;/el-col>
        &lt;/el-row>
         &lt;el-row :gutter="24" v-bind:class="[stateContract === 'pendiente' ? 'bg-gray' : 'bgdContractPending' ]">
          &lt;!-- TITULO -->
          &lt;el-col :span="10">
            &lt;el-card shadow="never" class="bg-gray border-none" style="font-size:20px; font-weight:700" v-if="stateContract === 'pendiente'">
              &lt;span  style="color:red">CONTRATO PENDIENTE 
                &lt;span style="padding-left: 15px; color: #818181 "> (Cod Reg. {{ showContract.contractCode}} )&lt;/span>
              &lt;/span>
            &lt;/el-card>

            &lt;el-card shadow="never" class="border-none styleTitleGeneral" v-else>
              &lt;span>CONTRATO &lt;span style="padding-left: 15px"> (Cod Reg. {{ showContract.contractCode}} )&lt;/span>&lt;/span>
            &lt;/el-card>
          &lt;/el-col>
        &lt;/el-row>
      &lt;/div>
      &lt;!-- TITULO DE LA PRIMERA ADENDA DEL CONTRATO -->
      &lt;div style="margin: 2rem 4rem" v-else>
        &lt;el-row  type="flex" justify="end" style="margin: 1rem 0px 1.5rem 0px">
          &lt;!-- boton de editar BTN PENDIENTE -->
          &lt;el-col :span="4" v-if="stateContract == 'pendiente'" style="padding-left: 2.7rem">
            &lt;el-button   class="btnEditStyle" icon="el-icon-edit" @click="enterAddendum('pendiente', showContract)">&lt;strong>EDITAR&lt;/strong>&lt;/el-button>
          &lt;/el-col>
        &lt;/el-row>
        &lt;el-row :gutter="24" class="bg-gray">
          &lt;el-card shadow="never" class="bg-gray border-none title-views" style="color: red" v-if="stateContract == 'pendiente'">{{   showContract.stateContrato }} DEL CONTRATO - PENDIENTE&lt;span style="padding-left: 15px; color:#818181"> (Cod Reg. {{ showContract.contractCode}} )&lt;/span>&lt;/el-card>
          &lt;el-card shadow="never" class="border-none styleTitleGeneral" v-else>{{ showContract.stateContrato }} DEL CONTRATO &lt;span style="padding-left: 15px"> (Cod Reg. {{ showContract.contractCode}} )&lt;/span>&lt;/el-card>
        &lt;/el-row>
      &lt;/div>
      
      &lt;!-- INFORMACION DE LA PRIMERA ADENDA -->
      &lt;div style="margin:4rem 4rem 1rem 4rem" v-if="showContract.stateContrato !== 'CONTRATO ORIGINAL'">
        &lt;el-row>
          &lt;el-col :span="5" :offset="7"> &lt;h3 class="text-orange" style="margin-bottom:1.5rem"> FECHA DE LA ADENDA &lt;/h3> &lt;/el-col>
        &lt;/el-row>
        &lt;el-row :gutter="10">
          &lt;el-col :span="4" :offset="3" >&lt;div class="grid-content" style="margin-top:2rem">
            &lt;img src="../../assets/images/calendar.svg" alt="">
          &lt;/div> 
        &lt;/el-col>
         &lt;el-col :span="17" class="box-historial title-views line-heigth" style="padding: 3rem 4rem; font-size:16px">
    
           &lt;div class="grid-content">
             &lt;el-row>
                &lt;el-col :span="7"> Fecha de Registro: &lt;/el-col>
                &lt;el-col class="font-general" :span="7"> {{ addendumRegistrationDate }}  &lt;/el-col>
              &lt;/el-row>
           &lt;/div> 
           &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col :span="7">Fecha de Adenda:&lt;/el-col>
                &lt;el-col class="font-general" :span="7">{{ dateOfAddendumValue }} &lt;/el-col>
              &lt;/el-row>
           &lt;/div>    
          &lt;/el-col>
        &lt;/el-row> 
      &lt;/div>

      &lt;!-- DATOS DEL CONTRATO -->
      &lt;div style="margin:4rem">
        &lt;el-row>
          &lt;el-col :span="5" :offset="7"> &lt;h3 class="text-orange" style="margin-bottom:1.5rem"> DATOS DEL CONTRATO &lt;/h3> &lt;/el-col>
        &lt;/el-row>
        &lt;el-row>
          &lt;el-col :span="4" :offset="3" style="margin-top: 9rem">&lt;div class="grid-content"> &lt;img src="../../assets/images/datos.svg" alt="">  &lt;/div> 
         &lt;/el-col>
          &lt;el-col :span="17" class="box-historial title-views line-heigth" style="padding: 3rem 4rem; font-size:16px;">
            &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col :span="7"> Proveedor: &lt;/el-col>
                &lt;el-col class="font-general" :span="15">  {{showContract.contractName || 'No ingresado'}} &lt;/el-col>
              &lt;/el-row>
           &lt;/div> 
            &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col :span="7"> Cod Proveedor: &lt;/el-col>
                &lt;el-col class="font-general" :span="7"> {{ showContract.providerCode || 'No ingresado' }}  &lt;/el-col>
              &lt;/el-row>
            &lt;/div> 
           &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col :span="7"> Tipo de Proveedor: &lt;/el-col>
                &lt;el-col class="font-general" :span="7">  {{ showContract.providerType || 'No ingresado'}}   &lt;/el-col>
              &lt;/el-row>
           &lt;/div>
           &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col :span="7"> Tipo de Contrato: &lt;/el-col>
                &lt;el-col class="font-general" :span="7">  {{ showContract.typeContract || 'No ingresado'}}   &lt;/el-col>
              &lt;/el-row>
           &lt;/div>

           &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col :span="7"> N° Contr. Distribuidor: &lt;/el-col>
                &lt;el-col class="font-general" :span="7">  {{ showContract.contratoDistribuidor || 'No ingresado'}}   &lt;/el-col>
              &lt;/el-row>
           &lt;/div>

    
           &lt;el-row>
             &lt;el-col :span="11">
               &lt;div>
                  &lt;h3 class="text-orange" style="margin:1.5rem 0"> Fecha del Contrato &lt;/h3>
               &lt;/div>
                &lt;div class="grid-content">
                  &lt;el-row>
                    &lt;el-col :span="11" > Fecha de Registro:  &lt;/el-col>
                    &lt;el-col :offset="1" class="font-general" :span="7"> {{ showContract.registrationDate}} &lt;/el-col>
                  &lt;/el-row>
                &lt;/div> 
                &lt;div class="grid-content">
                  &lt;el-row>
                    &lt;el-col :span="12">  Fecha de Contrato:  &lt;/el-col>
                    &lt;el-col class="font-general" :span="7">  {{ showContract.contractDate}}  &lt;/el-col>
                  &lt;/el-row>
                &lt;/div> 
             &lt;/el-col>
             &lt;el-col :span="1">
               &lt;hr style="height 30px; height: 100px; margin-top: 30px" class="hr-vertical-orange">
             &lt;/el-col>
                    
             &lt;el-col :span="11" style="margin-left:20px">           
                &lt;div>
                  &lt;h3 class="text-orange" style="margin:1.5rem 0"> Vigencia del Contrato : &lt;/h3>
                &lt;/div>
                  &lt;div class="grid-content">
                    &lt;el-row>
                      &lt;el-col :span="11"> Inicio de Vigencia: &lt;/el-col>
                      &lt;el-col :offset="1" class="font-general" :span="7">{{ showContract.validityString[0].startValidity }} &lt;/el-col>
                    &lt;/el-row>
                  &lt;/div> 
                  &lt;div class="grid-content">
                    &lt;el-row>
                      &lt;el-col :span="11">  Fin de Vigencia: &lt;/el-col>
                      &lt;el-col :offset="1" class="font-general" :span="7"> {{ showContract.validityString[0].endValidity }} &lt;/el-col>
                    &lt;/el-row>
                &lt;/div>  
               &lt;/el-col>
             &lt;/el-row>    
          &lt;/el-col>
        &lt;/el-row> 
      &lt;/div>

       &lt;!-- IMPORTE DEL CONTRATO -->
      &lt;div style="margin:4rem 4rem 1rem 4rem" v-if="showContract.typeContract !== 'Afiliación'">
        &lt;el-row>
          &lt;el-col :span="5" :offset="7"> &lt;h3 class="text-orange" style="margin-bottom:1.5rem"> IMPORTE DEL CONTRATO &lt;/h3> &lt;/el-col>
        &lt;/el-row>
        &lt;el-row :gutter="10">
          &lt;el-col :span="4" :offset="3" >&lt;div class="grid-content" style="margin-top:4rem">
            &lt;img src="../../assets/images/importe.svg" alt="">
          &lt;/div> 
        &lt;/el-col>
         &lt;el-col :span="17" class="box-historial title-views line-heigth" style="padding: 3rem 4rem; font-size:16px">
            &lt;div>
              &lt;h3 v-if="showContract.proratedCheck" class="text-orange" > Prorrateado &lt;/h3>
              &lt;h3 v-else class="text-orange" > No Prorrateado &lt;/h3>             
           &lt;/div>
           &lt;div class="grid-content" style="margin-top:1rem">
             &lt;el-row>
                &lt;el-col :span="7"> Moneda: &lt;/el-col>
                &lt;el-col class="font-general" :span="7"> {{ moneyValue }}&lt;/el-col>
              &lt;/el-row>
           &lt;/div> 
           &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col :span="7">Total de Materiales:&lt;/el-col>
                &lt;el-col class="font-general" :span="7"> {{ totalMaterials }}  &lt;/el-col>
              &lt;/el-row>
           &lt;/div>
           &lt;div class="grid-content" v-show="providerType">
              &lt;el-row>
                &lt;el-col :span="7">Total de Impuestos:&lt;/el-col>
                &lt;el-col class="font-general" :span="7">{{ totalPercent }}  &lt;/el-col>
              &lt;/el-row>
           &lt;/div> 
           &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col :span="7"> Importe Total: &lt;/el-col>
                &lt;el-col class="font-general" :span="7"> {{ totalMaterialValue }} &lt;/el-col>
              &lt;/el-row>
           &lt;/div>     
          &lt;/el-col>
        &lt;/el-row> 
      &lt;/div>
        &lt;!-- CUOTAS DEL CONTRATO -->
      &lt;div style="margin:4rem" v-if="showContract.typeContract !== 'Afiliación'">
        &lt;el-row>
          &lt;el-col :span="5" :offset="7"> &lt;h3 class="text-orange" style="margin-bottom:1.5rem"> CUOTAS DEL CONTRATO &lt;/h3> &lt;/el-col>         
        &lt;/el-row>
        &lt;el-row>
          &lt;el-col :span="4" :offset="3" style="padding-top:5rem">
            &lt;div class="grid-content">
              &lt;img src="../../assets/images/cuotas.svg" alt="">
            &lt;/div> 
         &lt;/el-col>
          &lt;el-col :span="17" class="box-historial title-views line-heigth" style="padding: 3rem 4rem; font-size:16px">
           &lt;p style="margin-bottom:2rem">N° de Cuotas: &lt;span style="font-weight:400; padding-left:2rem;"> {{ showContract.contractFees.length}} &lt;/span> &lt;/p>
              &lt;el-table 
                :header-cell-class-name="tableRowClassName2"
                border
                :data="showContract.contractFees">
                &lt;el-table-column
                  prop="id"
                  label="Cuota"
                  width="100">
                &lt;/el-table-column>
                &lt;el-table-column
                  label="Fecha de Vencimiento"
                  width="180">
                  &lt;template slot-scope="scope">
                    &lt;P> {{ ordenandoFormatoFecha(scope.row.dueDate)  }} &lt;/P>
                  &lt;/template>
                &lt;/el-table-column>
                &lt;el-table-column 
                  prop=""
                  label="N° de Factura"
                  width="140">
                &lt;/el-table-column>
                  &lt;el-table-column
                  prop=""
                  label="Fecha de Pago"
                  width="140">
                &lt;/el-table-column>
                  &lt;el-table-column 
                  prop="amount" 
                  label="Importe">
                &lt;/el-table-column>       
              &lt;/el-table>
              &lt;!-- &lt;hr class= "line-card"> -->
              &lt;el-row style="margin:2rem 0 1rem">
                &lt;el-col :span="7" :offset="16" class="text-orange"> &lt;p style="text-align: right;"> Total: &lt;span> &lt;span style="padding-left:1rem"> {{ showContract.currencySymbol}} &lt;/span> {{ totalAmount }} &lt;/span>&lt;/p>&lt;/el-col>
              &lt;/el-row>
          &lt;/el-col>
        &lt;/el-row> 
      &lt;/div>
      &lt;!-- AMORTIZACIÓN -->
      &lt;div style="margin:4rem">
        &lt;el-row>
          &lt;el-col :span="15" :offset="7"> &lt;h3 class="text-orange" style="margin-bottom:1.5rem"> CANAL DE AMORTIZACIÓN: &lt;/h3> &lt;/el-col>
        &lt;/el-row>
        &lt;el-row :gutter="10">
          &lt;el-col :span="4" :offset="3" >&lt;div class="grid-content" style="margin-top:2rem">
              &lt;img src="../../assets/images/senal.svg" alt="">
            &lt;/div> 
          &lt;/el-col>
         &lt;el-col :span="17" class="box-historial title-views line-heigth" style="padding: 3rem 4rem; font-size:16px">  
           &lt;div class="grid-content">
              &lt;el-row>
                &lt;el-col class="font-general" :span="7">  {{showContract.typeAmortization}} &lt;/el-col>
              &lt;/el-row>
           &lt;/div>
          &lt;/el-col> 
        &lt;/el-row>
      &lt;/div>
    &lt;/section>
    &lt;main>
      &lt;div style="margin: 4rem 8rem" >
        &lt;h3 class="text-orange" > MATERIALES DEL CONTRATO&lt;/h3> 
        &lt;!-- &lt;p style="margin-top:4rem" >Total de Materiales:  &lt;span style="margin-left:2rem"> {{ showContract.refMaterials.length }} &lt;/span>&lt;/p> -->
     &lt;/div>
      &lt;div style="margin: 4rem 8rem" v-if="americaTv.length > 0">
        &lt;p class="box-gray" style="margin-top:4rem" >&lt;strong>AMERICA TV &lt;span style="margin-left:2rem"> Total de Materiales: {{ counterAmericaTv }} &lt;/span> &lt;/strong>&lt;/p>
      &lt;/div>
      
      &lt;!-- TABLA  -->
      &lt;div style="margin: 1rem 4rem" v-if="americaTv.length > 0">
        &lt;el-table      
            :header-cell-class-name="tableRowClassNameMaterialsContract"
            :data="americaTv"
            :row-class-name="tableRowClassNameSpace"
            :row-style="toggleDisplayTr"
            border stripe
            class="init_table"
            style="width: 100%">
          &lt;el-table-column
            width="180px"
            fixed
            label="TÍTULO"
            show-overflow-tooltip
            align="left">
              &lt;template slot-scope="scope">
                &lt;p :class="classOrange(scope.row)"  class="text-start text-ellipsis" :style="`color: #544e4e!important; margin-left: ${scope.row.__level * 20}px;margin-top:0;margin-bottom:0;font-weight: bold`">
                  &lt;i  @click="toggleFoldingStatus(scope.row)" style="padding: 5px;font-weight:bold;font-size: 18px;" class="permission_toggleFold text-orange" :class="toggleFoldingClass(scope.row)">
                  &lt;/i>{{scope.row.Name}}&lt;/p>
              &lt;/template>
          &lt;/el-table-column>
          &lt;el-table-column
            label="FECHA DE LLEGADA" width="180px">
            &lt;template slot-scope="scope">
              &lt;div v-if="scope.row.arrivalDate">
                  &lt;p>{{ new Date(scope.row.arrivalDate).toLocaleDateString('en-GB') }}&lt;/p>
              &lt;/div>
            &lt;/template> 
          &lt;/el-table-column>
          &lt;el-table-column
            prop="typeOfContent"
            label="CENTRO DE COSTO" width="180px">
          &lt;/el-table-column>
          &lt;el-table-column
            label="PRECIO UNITARIO" width="180px">
            &lt;template slot-scope="scope">
              &lt;p> {{scope.row.unitPrice }}&lt;/p>
            &lt;/template>
          &lt;/el-table-column>
           &lt;!-- v-if="showContract.typeContract !== 'Afiliación'" -->
          &lt;el-table-column
            prop="totalPass"
            label="NÚMERO DE PASADAS" width="110px">
          &lt;/el-table-column>
          &lt;el-table-column
            prop="pasadasConsumidas"
            label="PASADAS CONSUMIDAS" width="110px">
          &lt;/el-table-column>
          &lt;el-table-column
            prop="saldoPasadas"
            label="SALDO DE PASADAS" width="90px">
          &lt;/el-table-column>
          
           &lt;el-table-column
            label="EMISIONES">
             &lt;el-table-column width="150px">
                &lt;template slot-scope="scope">
                  &lt;div v-for="(validate, index) in scope.row.emissions"
                    :key="index">
                    &lt;p class="font-weight-min" v-if="( validate !== 'No emitido')"> {{ new Date(validate).toLocaleDateString('en-GB') }} &lt;/p>
                  &lt;/div>
                &lt;/template>
              &lt;/el-table-column>
          &lt;/el-table-column>

          &lt;el-table-column label="VIGENCIA">
              &lt;el-table-column width="50px">
                &lt;template slot-scope="scope">
                  &lt;div v-for="(validate, index) in scope.row.validityString"
                    :key="index" :class="classCellTable(index, scope.row.validityString)">
                    &lt;p class="font-weight-min">{{index+1}}.&lt;/p>
                  &lt;/div>
                &lt;/template>
              &lt;/el-table-column>
              &lt;el-table-column label="INICIO" width="120px">
                &lt;template slot-scope="scope">
                  &lt;div v-for="(validate, index) in scope.row.validityString"
                  :key="index" :class="classCellTable(index, scope.row.validityString)">
                    &lt;p class="font-weight-min" v-if="typeof(validate.startValidity) == 'string'">{{ validate.startValidity }}&lt;/p>
                    &lt;p class="font-weight-min" v-else>{{ new Date(validate.startValidity).toLocaleDateString('en-GB') }}&lt;/p>
                  &lt;/div>
                &lt;/template>
              &lt;/el-table-column>
              &lt;el-table-column label="FIN" width="120px">
                &lt;template slot-scope="scope">
                  &lt;div v-for="(val, index) in scope.row.validityString"
                    :key="index" :class="classCellTable(index, scope.row.validityString)">
                    &lt;p class="font-weight-min" v-if="typeof(val.endValidity) == 'string'">{{ val.endValidity }}&lt;/p>
                    &lt;p class="font-weight-min" v-else> {{ new Date(val.endValidity).toLocaleDateString('en-GB') }}&lt;/p>
                  &lt;/div>
                &lt;/template> 
              &lt;/el-table-column>
              &lt;el-table-column label="VENTANA" width="120px">
                  &lt;template slot-scope="scope">
                    &lt;div v-for="(valid, index) in scope.row.validityString"
                      :key="index" :class="classCellTable(index, scope.row.validityString)">
                      &lt;p v-if="valid.startWindow !== undefined" class="font-weight-min f-size-13"> {{ new Date(valid.startWindow).toLocaleDateString('en-GB') }}&lt;/p>
                      &lt;p v-else style="height: 15px"> &lt;/p>    
                      &lt;p v-if="valid.endWindow !== undefined" class="font-weight-min f-size-13"> {{ new Date(valid.endWindow).toLocaleDateString('en-GB') }} &lt;/p>                       
                      &lt;p v-else style="height: 15px"> &lt;/p>                       
                    &lt;/div>
                  &lt;/template>   
              &lt;/el-table-column>
          &lt;/el-table-column>   
        &lt;/el-table>    
      &lt;/div>

      &lt;div style="margin: 4rem 8rem" v-if="americaNext.length > 0">
        &lt;p class="box-gray" style="margin-top:4rem" > &lt;strong>AMERICA NEXT  &lt;span style="margin-left:2rem"> Total de Materiales: {{ counterAmericaNext }} &lt;/span> &lt;/strong>&lt;/p>
      &lt;/div>

      &lt;div style="margin: 1rem 4rem" v-if="americaNext.length > 0">
        &lt;el-table      
            :header-cell-class-name="tableRowClassNameMaterialsContract"
            :data="americaNext"
            :row-class-name="tableRowClassNameSpace"
            :row-style="toggleDisplayTr"
            border stripe
            class="init_table"
            style="width: 100%">
          &lt;el-table-column
            width="180px"
            fixed
            label="TÍTULO"
            show-overflow-tooltip
            align="left">
              &lt;template slot-scope="scope">
                &lt;p :class="classOrange(scope.row)"  class="text-dark-gray-1 text-start text-ellipsis" :style="`margin-left: ${scope.row.__level * 20}px;margin-top:0;margin-bottom:0;font-weight: bold`">
                  &lt;i  @click="toggleFoldingStatus(scope.row)" style="padding: 5px;font-weight:bold;font-size: 18px;" class="permission_toggleFold text-orange" :class="toggleFoldingClass(scope.row)">
                  &lt;/i>{{scope.row.Name}}&lt;/p>
              &lt;/template>
          &lt;/el-table-column>
          &lt;el-table-column
            label="FECHA DE LLEGADA" width="180px">
            &lt;template slot-scope="scope">
              &lt;div v-if="scope.row.updateDate">
                  &lt;p>{{ new Date(scope.row.updateDate).toLocaleDateString('en-GB') }}&lt;/p>
              &lt;/div>
            &lt;/template> 
          &lt;/el-table-column>
          &lt;el-table-column
            prop="typeOfContent"
            label="CENTRO DE COSTO" width="180px">
          &lt;/el-table-column>
          &lt;el-table-column
            label="PRECIO UNITARIO" width="180px"> 
            &lt;template slot-scope="scope">
              &lt;p>{{scope.row.unitPrice }}&lt;/p>
            &lt;/template>
          &lt;/el-table-column>
           &lt;!-- v-if="showContract.typeContract !== 'Afiliación'" -->
          &lt;el-table-column
            prop="totalPass"
            label="NÚMERO DE PASADAS" width="110px">
          &lt;/el-table-column>
          &lt;el-table-column
            prop="pasadasConsumidas"
            label="PASADAS CONSUMIDAS" width="110px">
          &lt;/el-table-column>
  
          &lt;el-table-column
            prop="saldoPasadas"
            label="SALDO DE PASADAS" width="90px">
          &lt;/el-table-column>
          &lt;el-table-column
            prop="totalPass"
            label="EMISIONES" width="90px">
          &lt;/el-table-column>
          &lt;el-table-column label="VIGENCIA" >
              &lt;el-table-column width="50px">
                &lt;template slot-scope="scope">
                  &lt;div v-for="(validate, index) in scope.row.validityString"
                    :key="index" :class="classCellTable(index, scope.row.validityString)">
                    &lt;p class="font-weight-min">{{index+1}}.&lt;/p>
                  &lt;/div>
                &lt;/template>
              &lt;/el-table-column>
              &lt;el-table-column label="INICIO" width="120px">
                &lt;template slot-scope="scope" >
                    &lt;div v-for="(validate, index) in scope.row.validityString"
                    :key="index" :class="classCellTable(index, scope.row.validityString)">
                      &lt;p class="font-weight-min" v-if="typeof(validate.startValidity) == 'string'">{{ validate.startValidity }}&lt;/p>
                      &lt;p class="font-weight-min" v-else>{{ new Date(validate.startValidity).toLocaleDateString('en-GB') }}&lt;/p>
                    &lt;/div>
                &lt;/template> 
              &lt;/el-table-column>
              
              &lt;el-table-column label="FIN" width="120px">
                  &lt;template slot-scope="scope">
                    &lt;div v-for="(val, index) in scope.row.validityString"
                    :key="index" :class="classCellTable(index, scope.row.validityString)">
                      &lt;p class="font-weight-min" v-if="typeof(val.endValidity) == 'string'">{{ val.endValidity }}&lt;/p>
                      &lt;p class="font-weight-min" v-else> {{ new Date(val.endValidity).toLocaleDateString('en-GB') }}&lt;/p>
                    &lt;/div>
                  &lt;/template> 
              &lt;/el-table-column>

              &lt;el-table-column label="VENTANA" width="120px">   
                  &lt;template slot-scope="scope">
                    &lt;div v-for="(valid, index) in scope.row.validityString"
                      :key="index" :class="classCellTable(index, scope.row.validityString)">
                      &lt;p v-if="valid.startWindow !== undefined" class="font-weight-min f-size-13"> {{ new Date(valid.startWindow).toLocaleDateString('en-GB') }}&lt;/p>
                      &lt;p v-else style="height: 15px"> &lt;/p>    
                      &lt;p v-if="valid.endWindow !== undefined" class="font-weight-min f-size-13"> {{ new Date(valid.endWindow).toLocaleDateString('en-GB') }} &lt;/p>                       
                      &lt;p v-else style="height: 15px"> &lt;/p>                       
                    &lt;/div>
                  &lt;/template>   
              &lt;/el-table-column>
          &lt;/el-table-column>   
        &lt;/el-table>    
      &lt;/div>

    &lt;/main>
  &lt;/div>
  
&lt;/template>

&lt;script>
import ReturnButton from '@/components/ReturnButton.vue'
import Vue from 'vue'
import { mapState } from 'vuex'
  /**
  * @vue-data {String} statehistory - Validacion si ya tiene mas de una adenda
  * @vue-data {Object} showContract - Datos del contrato actual, sea adenda u original
  * @vue-computed {Number} totalAmount - Cantidad total del contrato
  */
export default {
  
  components: {
      ReturnButton,
  },
  data () {
    return {
      // showContract: JSON.parse(this.$localStorage.get("aceptContract")),
      // stateContract: JSON.parse(this.$localStorage.get("state")),
      statehistory: JSON.parse(this.$localStorage.get("stateH")),
      // stateContract: this.$storestate.contractStatus,
      showContract: this.$store.state.setInContract,
      tableListData: [],  
      foldList: [],
      dataJs: [],
      prueba: [],
      americaTv: [], 
      americaNext: []
    }
  },
  created() {
    this.refMaterialPriceAmort()
    this.prueba = this.formatConversion([], this.dataJs)
  },
  computed: {
    ...mapState({
      stateContract: state => state.contractStatus
    }),
    totalAmount() {
      let count = 0;
      this.showContract.contractFees.map((el, i, arr) => {
        let number = Number(el.amount)
        count += number
      })
      return count
    },
    counterAmericaTv() {
      let conditional = this.americaTv.filter(el => el.__level == 0)
      let value = String(conditional.length)
      return value >= 10 ? value  : '0' + value
    },
    counterAmericaNext() {
      let conditional = this.americaNext.filter(el => el.__level == 0)
      let value = String(conditional.length)
      return value >= 10 ? value  : '0' + value
    },
    dateOfAddendumValue() {
      return this.showContract.validityString[0].dateOfAddendum == 'Invalid Date' ? 'No ingresado' : this.showContract.validityString[0].dateOfAddendum
    },
    addendumRegistrationDate() {
      return this.showContract.validityString[0].addendumRegistrationDate == 'Invalid Date' ? 'No ingresado' : this.showContract.validityString[0].addendumRegistrationDate
    },
    totalMaterialValue() {
      return this.showContract.totalAmount == '' || this.showContract.currencySymbol == null ? 'No ingresado' : this.showContract.currencySymbol + ' - ' + this.showContract.totalAmount
    },
    totalMaterials() {
      return this.showContract.totalMaterials == '' || this.showContract.currencySymbol == null ? 'No ingresado' : this.showContract.currencySymbol + ' - ' + this.showContract.totalMaterials
    },
    totalPercent() {
      return this.showContract.percent == '' || this.showContract.percentage == '' || this.showContract.currencySymbol == null ? 'No ingresado' : `(${this.showContract.percent}) ` + this.showContract.currencySymbol + ' ' + this.showContract.percentage
    },
    moneyValue() {
      // console.log(this.showContract.typeCurrency, 'this.showContract.typeCurrency')
      // console.log(this.showContract.currencySymbol, 'this.showContract.currencySymbol')
      // console.log('____________moneyValue____________')
      return this.showContract.currencySymbol == null || this.showContract.typeCurrency == null ? 'No ingresado' : this.showContract.currencySymbol + ' - ' + this.showContract.typeCurrency
    },
    providerType() {
      return this.showContract.providerType == 'Local' ? true : false
    }
  },
  methods: {
    ordenandoFormatoFecha ( dateString ) {
      console.log(dateString, 'dateString')
      let data = dateString.split('-')
      let newd = data[2] + '/' + data[1] + '/' + data[0]
      return newd

    },
    toggleDisplayTr ({row, index}) {
      for (let i = 0; i &lt; this.foldList.length; i++) {
        let item = this.foldList[i]
        if (row.__family.includes(item) &amp;&amp; row.__identity !== item) return 'display:none;'
      }
      return ''
    },
     toggleFoldingStatus (params) {
      this.foldList.includes(params.__identity) ? this.foldList.splice(this.foldList.indexOf(params.__identity), 1) : this.foldList.push(params.__identity)
    },
    classOrange(params) {
      let clase;
      params.Children.map((el, i, arr) => {
        if( el.__level !== 1 ) {
          clase = 'text-orange'
           return clase
        }
      }) 
      return clase
    },
    toggleFoldingClass (params) {   
      return params.Children.length === 0 ? 'permission_placeholder' : (this.foldList.indexOf(params.__identity) === -1 ? 'el-icon-arrow-down' : 'el-icon-arrow-right')
    },
    formatConversion (parent, children, index = 0, family = [], elderIdentity = 'x') {
      if (children.length > 0) {
        children.map((x, i) => {
          Vue.set(x, '__level', index)
          Vue.set(x, '__family', [...family, elderIdentity + '_' + i])
          Vue.set(x, '__identity', elderIdentity + '_' + i)
          parent.push(x)
          if (x.Children.length > 0) this.formatConversion(parent, x.Children, index + 1, [...family, elderIdentity + '_' + i], elderIdentity + '_' + i)
        }) 
      } return parent
    },
    /** Trae los datos de los materiales del contrato puestos en refMaterials y addmitedMaterials*/
    refMaterialPriceAmort() {
      let arrayChapter = []
      let type = [];
      let saldo = 0
      let pasadasC = 0
      
      this.showContract.refMaterials.map(( ello, i, arr) => {
        let materials
        this.showContract.admittedMaterials.map((val, key) => {         
          if(ello._id == val._id) {

          const conditionalPrice = val.unitPrice == 'Cortesía' ?  'Material de Cortesía' : val.unitPrice == 0 ? 0 : val.currencySymbol + ' ' + val.unitPrice
            materials = {
              "Name": ello.originalTitle,
              "arrivalDate": ello.arrivalDate || '',
              "emissions": ello.emissions,
              "typeOfContent": ello.typeOfContent,
              "unitPrice": conditionalPrice,
              "spentConsumed": 0,
              "totalPass": ello.totalPass,
              "saldoPasadas": (Number(ello.totalPass) - Number(ello.pasadasConsumidas)),
              "pasadasConsumidas": ello.pasadasConsumidas,
              "balanceToBeAmortized": ello.unitPrice/2,
              "validityString": ello.validity,
              "Children": [],
              "type": (ello.checkedChanels.length == 0)?'América TV':ello.checkedChanels[0],
              "currencySymbol": ello.currencySymbol
            }
            let typeContent = ello.checkedChanels ? ello.checkedChanels[0] : ''
            if(ello.numChapters.length > 0) {
              ello.numChapters.map((el, i,arr) => {
                let temporada = {
                  "Name": 'TEMPORADA ' + el.season,
                  "type": typeContent,
                  "Children": []
                }
                materials.Children.push(temporada)
              })
            }
          }
        })
        
        type.push(ello.typeOfContent)
        this.dataJs.push(materials)
      })

        this.showContract.admittedMaterials.map((el, indice, arr) => {
            el.numChapters.map((element, index, arr) => {
              const array = []
              if ( element.arrOfChapters ) {
                element.arrOfChapters.map((el, i, arr) => {
                  const conditionalPrice = el.unitPrice == 'Cortesía' ?  'Material de Cortesía' : el.unitPrice == 0 ? 0 : el.currencySymbol + ' ' + el.unitPrice
                  let infoSeason = {
                    "Name": "Capitulo " + el.id,
                    "arrivalDate": el.arrivalDate,
                    "typeOfContent": type[indice],
                    "unitPrice": conditionalPrice,
                    "spentConsumed": 0,
                    "totalPass": el.specificPass,
                    "saldoPasadas": this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions ? (Number(el.specificPass) - this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions.length) : Number(el.specificPass),
                    "emissions": this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions ? this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions: "",
                    "pasadasConsumidas": this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions ? this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions.length : 0,
                    "balanceToBeAmortized": "",
                    "Children": [],
                    "validityString": [],
                    "type": (this.showContract.refMaterials[indice].checkedChanels.length == 0)?'América TV':this.showContract.refMaterials[indice].checkedChanels[0]
                  }
                  array.push(infoSeason)
                })
              }
              else {
                element.infoByChapter.map((el, i, arr) => {
                let infoSeason = {
                    "Name": "Capitulo " + el.chapter,
                    "arrivalDate": '',
                    "typeOfContent": type[indice],
                    "unitPrice": '',
                    "spentConsumed": '',
                    "totalPass": '',
                    "saldoPasadas": '',
                    "emissions": this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions ? this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions: "",
                    "pasadasConsumidas": this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions ? this.showContract.refMaterials[indice].numChapters[index].infoByChapter[i].emissions.length : 0,
                    "balanceToBeAmortized": "",
                    "Children": [],
                    "validityString": [],
                    "type": (this.showContract.refMaterials[indice].checkedChanels.length == 0)?'América TV':this.showContract.refMaterials[indice].checkedChanels[0]
                  }
                  array.push(infoSeason)
                })
              }
              
              for (let i = 0; i&lt; element.infoByChapter.length; i++) {
                array[i].validityString =  element.infoByChapter[i].validity
                array[i].arrivalDate =  element.infoByChapter[i].arrivalDate
              }
              this.dataJs[indice].Children[index] ? this.dataJs[indice].Children[index].Children = array  : ''
              // console.log(this.dataJs, 'this.dataJs')
            })
        })
    },
    returnPage(estado) {   
      if( this.stateContract === 'prueba') {
        this.$store.dispatch('setContractStatus', estado)
        // this.$localStorage.set('state', JSON.stringify(estado))
        this.$router.push({ name: 'historyContract' }) 
      }    
      else {
          this.$router.push({ name: 'contract' })  
      }
    },
    /** Envia a la vista del historial de contrato donde se mostraran todas sus adendas 
    * @param {String} stateHistory - Envia el registro del historial
    * @param {Object} item - envia la lista del historial de todas las adendas de ese contrato
    */
    changeContract(stateHistory, item) {
      //stateHistory es el objeto contractHistory en donde se guarda el historial del contrato
      this.$localStorage.set('stateH', JSON.stringify(stateHistory)) // se guarda la palabra historial 
      this.$localStorage.set('contratoHistory', JSON.stringify(item)) // aqui el objeto contractHistory

      this.$router.push({ name: 'historyContract' })
    },

    tableRowClassName2 ({row, rowIndex}) {
      if (rowIndex === 0) {
        return 'bg-gray';
      }
    },

    tableRowClassNameMaterialsContract ({row, rowIndex}) {
      if (rowIndex === 0) {
        return 'bgGrayAndTextOrange';
      }
      else if( rowIndex === 1) {
        return 'bg-white-border';
      }
    },
    
    tableRowClassNameSpace ({row, rowIndex}) {
      if (rowIndex === 1 || rowIndex===3) {
        return 'bg-pink-light';
      }
    return '';
    },
    /** Entrar a la edicion del contrato o adenda, o agregar una adenda
    * @param {String} item - Estado del contrato si es adenda, pendiente o adenda pendiente
    * @param {Object} contrato - Objecto que trae todos los datos del contrato para realizar su edicion
    */
    enterAddendum(item, contrato) {
      console.log(item, 'item')
      console.log(contrato, 'contrato')
      this.$store.dispatch('setItemInConfirmedContract', item)
      this.$store.dispatch('setContractInConfirmedContract', contrato)
      
      // se envia el estado de la adenda y un objeto del contrato
      // this.$localStorage.set('stateAdendum', JSON.stringify(item))
      // this.$localStorage.set('contrato', JSON.stringify(contrato))
      this.$router.push({ name: 'newContract' })
    },
    classCellTable(index, all){
      if(!(0 == (all.length -1))){
        if(index == 0 &amp;&amp; index &lt; all.length){
          return 'bottomStyleCell'
        } else if(index &lt; all.length &amp;&amp; index !== (all.length-1)){
          return 'bottomTopStyleCell'
        } else {
          return 'topStyleCell'
        }
      }
    },
  },
  mounted() {
    this.americaTv = this.prueba.filter(e => e.type == 'América TV')
    this.americaNext = this.prueba.filter(e => e.type == 'América Next')

    let counter = this.prueba.filter(e => e.__level == 0).length
    for(let i = 0; i &lt; counter; i++) {
      this.foldList.push(`x_${i}`)
    }
  }
}
&lt;/script>

&lt;style>
  .el-table th.is-leaf {
    border-bottom: 1px solid rgb(155,151,150);
  }
  .bg-white-border {
    background-color: #FFF;
    border: 1px solid rgb(155,151,150);
  }
  .font-weight-min {
    font-weight: 500;
  }
  .box-gray {
    background-color: rgb(224,224,224);
    width: 52%;
    box-sizing: border-box;
    padding: 10px;
  }
  .text-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  .confirmedContract thead tr:first-child th {
    border-top: none !important;
  }
  .confirmedContract thead tr:first-child th:first-child {
    border-left: none !important;
  }
  .btnEditStyle {
    background-color: #18974E !important;
    color: #FFFF !important;
    letter-spacing: 1px;
    font-weight: 500;
    border: 1px solid #18974E !important;
  }
  .btnEditStyle:hover {
    background-color: #FFFF !important;
    color: #18974E !important;
  }
  .bgdContractPending {
    background-color: #828282 !important;
  }
  .styleTitleGeneral{
    font-size:20px; 
    font-weight:700; 
    background-color: #828282 !important; 
    color: #FFFF !important;
  }
  .f-size-13{
    font-size: 13px;
    line-height: 1.3;
  }
    .el-table .cell {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
  .el-table th > .cell {
    padding-left: 10px!important;
    padding-right: 10px!important;
  }
  .bottomStyleCell{
    padding-bottom: 12px;
    border-bottom: 1px solid grey;
  }
  .bottomTopStyleCell{
    padding-top: 12px;
    padding-bottom: 12px;
    border-bottom: 1px solid grey;
  }
  .topStyleCell{
    padding-top: 12px;
  }
&lt;/style>
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-ConfirmedContract.html">ConfirmedContract</a></li><li><a href="module-Contract.html">Contract</a></li><li><a href="module-Cut.html">Cut</a></li><li><a href="module-HistoryContract.html">HistoryContract</a></li><li><a href="module-NewContract.html">NewContract</a></li><li><a href="module-NewMaterial.html">NewMaterial</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Tue Aug 10 2021 18:34:20 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
